Skip to content
New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

Error: Unable to load fluid engine library (v1.0.2) #456

Closed
MikelSotomonte opened this issue May 26, 2019 · 2 comments

Comments

@MikelSotomonte
Copy link

commented May 26, 2019

I have updated my 1050 ti drivers, but this error keeps poping out.... any help? https://gyazo.com/00ae9fb0621c4a5a8bc20814fdf5fcef

@rlguy

This comment has been minimized.

Copy link
Owner

commented May 26, 2019

Hi MikelSotomonte,

If you have updated your drivers and are still getting the error, this could be caused by a mismatch between 32-bit and 64-bit Blender and FLIP Fluids. The FLIP Fluids version we distribute on the Blender Market is built as a 64-bit program and will only work within the 64-bit version of Blender.

If you have compiled/built the addon yourself, make sure that the version of Blender matches whether FLIP Fluids was built as a 32 or 64 bit program. If you are still getting this error after this, it could mean that your graphics drivers are not compatible with the program or that the program was built incorrectly.

In later versions of the addon we have removed GPU features and no longer require use of the GPU and graphics drivers. The most recent versions of the addon are currently available on the Blender Market. The next version of the addon (1.0.5) will be available within the next two weeks and we will also be updating the GitHub repository to this version.

Hope this helps!

- Ryan

@rlguy rlguy closed this May 26, 2019
@rlguy rlguy changed the title search for gpu devices Error: Unable to load fluid engine library (v1.0.2) May 26, 2019
@MikelSotomonte

This comment has been minimized.

Copy link
Author

commented May 26, 2019

I had tested it in a pc I have in a city close to mine and it worked just fine, but it could be something like that, I'm not that good at building and stuff like that. I really apreciate the help, thanks!
Edit: I have checked and blender and flip matched, I have also tested using the 32 version with 32bit blender. I'll just wait :)

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment
Projects
None yet
2 participants
You can’t perform that action at this time.